package com.auth.dao.base.view;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("v_user_role_permission")
@Schema(name = "UserRolePermission-用户角色权限信息实体类", title = "用户角色权限信息", description = "用户角色权限信息的实体类对象")
public class UserRolePermission {

    // 用户角色关联信息
    private Long userId;

    // 角色权限关联信息
    private Long roleId;
    private Long permissionId;

    // 权限信息
    private String permissionCode;
    private String permissionName;
    private String permissionType;
    private String url;
    private String method;
    private Integer permissionLevel;
    private String permissionPath;
    private Integer permissionOrderNum;
    private Integer permissionStatus;
    private String permissionRemark;

    // 用户信息
    private String username;
    private String nickname;
    private String email;
    private String phone;
    private String salt;
    private String password;
    private String avatar;
    private Integer gender;
    private Date birthday;
    private String introduction;
    private String lastLoginIp;
    private Date lastLoginTime;
    private String lastLoginRegion;
    private Integer status;
    private Long deptId;
    private Long postId;
    private Boolean isDeleted;

    // 角色信息
    private String roleCode;
    private String roleName;
    private String roleType;
    private String roleDataScope;
    private Integer roleOrderNum;
    private Integer roleStatus;
    private String roleRemark;

}
