package com.auth.module.security.service;

import com.auth.dao.base.view.UserRolePermission;
import org.springframework.security.core.userdetails.UserDetailsService;

import java.util.List;

public interface DbUserDetailService extends UserDetailsService {

    /**
     * 根据用户id查找该用户的角色内容
     *
     * @param userRolePermissionList 用户角色权限列表
     * @return 当前用户的角色信息
     */
    List<String> findUserRolesByUserId(List<UserRolePermission> userRolePermissionList);

    /**
     * 根据用户id查找该用户的权限内容
     *
     * @param userId 用户id
     * @return 当前用户的权限信息
     */
    List<String> findPermissionByUserId(List<UserRolePermission> userRolePermissionList);

}
